package net.xdclass.shopmanager.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class GGrpCalRslt {

    //板坯号
    private String SlabNo;
    //虚拟号
    private String VirtualSlabNo;

    //虚拟板坯长度
    private int VirtualSlab_Len;

    //虚拟板坯宽度
    private int VirtualSlab_Wid;

    //虚拟板坯厚度
    private BigDecimal VirtualSlab_Thk;

    //虚拟板坯重量
    private BigDecimal VirtualSlab_Wgt;

    //轧制宽度
    private int Cal_Wid;
    //厚度
    private BigDecimal Cal_Thk;
    //长度
    private int Cal_Len;
    //宽度
    private int Wid;
    //厚度
    private BigDecimal Thk;
    //长度
    private int Len;
    //宽度余量
    private int Wid_Add;
    //最大轧制长度
    private int Max_Roll_Len;
    //实际最大轧制长度
    private int Roll_Len;
    //有效长度
    private int Eff_Len;
    //增益
    private int Ben_Add;
    //成材率
    private BigDecimal Rate;
    //切边
    private int Trimming;
    //切头长度
    private int Head_Len;
    //切尾长度
    private int Tail_Len;
    //切缝
    private int Plate_Cut_Wid;
    //取样长度
    private int Smp_Len;
    //补长
    private int Rep_Len;
    //全部合同信息
    private List<GPreOrder>  LtInfoGPreOrder;
    //实际合同信息
    private List<GPreOrder>  LtActInfoGPreOrder;
    //默认是不允许使用 0；可以是使用是 1
    private  int intUseFlg=0;

}
