package net.xdclass.shopmanager.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class GPreOrder {

    //合同号
    private int IDValue;

    //合同号
    private String orderNo;

    //实际长度
    private Integer intActLen;

    //宽度
    private int Wid;

    //宽度余量
    private int widthAddv;

    //厚度
    private BigDecimal Thk;

    //长度
    private int Len;

    // 厚度公差上限
    private BigDecimal thickTolMax;

    //厚度公差下限
    private BigDecimal thickTolMin;

    //合同信息
    private PmProContDO  infoPmProContDo;

    //生产合同产品属性表
    private PmProContProdAttrDO  infoPmProContProdAttrDO;

    //合同产线工艺参数表
    private PmContMscTechDO  infoPmContMscTechDO;

}
