package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 以优充次静态表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_HTOL_STATIC")
public class PmHtolStaticDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_HTOL_STATIC_ID", type = IdType.AUTO)
    private BigDecimal pmHtolStaticId;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 优内部钢种
     */
    private String betterStNo;

    /**
     * 次内部钢种
     */
    private String worseStNo;

    /**
     * 以优充次顺序码
     */
    private Integer betterToWorseSeq;

    /**
     * 生效标记
     */
    private String validFlag;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
