package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组炉规则配置表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PNSORT")
public class PmPnsortDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "ID", type = IdType.AUTO)
    private BigDecimal id;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 排序优先级1
     */
    private String priority1;

    /**
     * 排序优先级2
     */
    private String priority2;

    /**
     * 排序优先级3
     */
    private String priority3;

    /**
     * 排序优先级4
     */
    private String priority4;

    /**
     * 排序优先级5
     */
    private String priority5;

    /**
     * 排序优先级6
     */
    private String priority6;

    /**
     * 排序优先级7
     */
    private String priority7;

    /**
     * 排序优先级8
     */
    private String priority8;

    /**
     * 降序/升序
     */
    private String sortFlag;

    /**
     * 生效标记
     */
    private String validFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
