package net.xdclass.shopmanager.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class GCalGrp {

    //板坯号
    private String SlabNo;

    //虚拟号
    private String VirtualSlabNo;

    //合同号
    private int IDValue;
    //宽度
    private int Wid;
    //厚度
    private BigDecimal Thk;
    //长度
    private int Len;
    //标准
    private String SG_STD;
    //宽度余量
    private int Wid_Add;
    //最大轧制长度
    private int Max_Roll_Len;
    //实际最大轧制长度
    private int Roll_Len;
    //有效长度
    private int Eff_Len;
    //增益
    private int Ben_Add;
    //成材率
    private int Rate;
    //切边
    private int Trimming;
    //切头长度
    private int Head_Len;
    //切尾长度
    private int Tail_Len;
    //取样长度
    private int Smp_Len;
    //补长
    private int Rep_Len;
    //全部合同信息
    private List<GPreOrder>  LtInfoGPreOrder;

    //实际合同信息
    private List<GPreOrder>  LtActInfoGPreOrder;


}
